chiark / gitweb /
Merge commit 'sledge/master'
authorPeter Palfrader <peter@palfrader.org>
Wed, 21 Apr 2010 14:40:34 +0000 (16:40 +0200)
committerPeter Palfrader <peter@palfrader.org>
Wed, 21 Apr 2010 14:40:34 +0000 (16:40 +0200)
* commit 'sledge/master':
  Add depends on zip for the CD builder
  Merge branches 'master' and 'master' of git+ssh://git.debian.org/git/mirror/debian.org

Signed-off-by: Peter Palfrader <peter@palfrader.org>
Makefile
apt-in-chroot [new file with mode: 0755]
debian/changelog
debian/control

index d373af634d3f128cbe405d4cf7993d531c8b7f7f..c93ccd7a42ef42851b05d5258edcfa5d57fdf633 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -7,3 +7,4 @@ install:
        install -m755 apache2-vhost-update $(DESTDIR)/usr/sbin
        install -m755 buildd-reboot $(DESTDIR)/usr/sbin
        install -m755 portforwarder-ssh-wrap $(DESTDIR)/usr/bin
+       install -m755 apt-in-chroot $(DESTDIR)/usr/bin
diff --git a/apt-in-chroot b/apt-in-chroot
new file mode 100755 (executable)
index 0000000..f1c7201
--- /dev/null
@@ -0,0 +1,73 @@
+#!/bin/sh
+# 
+#  apt-in-chroot - runs apt in a specified chroot
+# 
+#  Copyright (C) 2010 Martin Zobel-Helas <zobel@debian.org>
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; either version 2, or (at your option)
+#  any later version.
+# 
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+# 
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software Foundation,
+#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
+# 
+
+VALID_CHROOTS="$(/usr/bin/dchroot -l 2>&1 | /usr/bin/awk -F": " '{print $2}' | /usr/bin/tr ' ' '\n')"
+VALID_CHROOTS_PARSE="$(/usr/bin/dchroot -l 2>&1 | /usr/bin/awk -F": " '{print $2}' | /bin/sed -e 's/ /|/g')"
+
+usage() {
+        bn="`basename "$0"`"
+       echo "Usage: $bn <chroot> <apt sub-command> <package>"
+       echo ""
+       echo "  allowed chroots are ($VALID_CHROOTS_PARSE)"
+       echo ""
+       echo "  allowed apt sub-commands are:"
+       echo "          + install"
+       echo "          + remove"
+       echo "          + purge"
+       echo "          + build-dep"
+}
+
+
+if [ "$#" -lt "3" ]; then
+       usage >&2
+       exit 1
+fi
+
+CHROOT_DIR="/chroot"
+CHROOT=$1; shift
+APTCMD=$1; shift
+PACKAGES=$*
+
+
+case "$APTCMD" in
+install|remove|purge|build-dep)
+       # those are the allowed apt sub-commands
+       ;;
+*)
+       echo "$APTCMD is not a valid apt sub-command"
+       exit 1
+       ;;
+esac
+
+grep -qFx $CHROOT <<< "$VALID_CHROOTS"
+
+RET=$?
+
+if [ "$RET" == "0" ]; then
+       # valid chroot
+       echo "Will run '/usr/sbin/chroot $CHROOT_DIR/$CHROOT apt-get $APTCMD $PACKAGES'"
+       /usr/sbin/chroot $CHROOT_DIR/$CHROOT apt-get $APTCMD $PACKAGES
+else
+       echo "$CHROOT not in $VALID_CHROOTS_PARSE"
+       exit 1
+fi
+
+
index c72b6f5d2801dea7d656453c606efa58dfbb8778..37107e4cc3a90161c9fb397045009ef962602ac6 100644 (file)
@@ -1,4 +1,18 @@
-debian.org (XX) XXable; urgency=low
+debian.org (3x) xtable; urgency=low
+
+  [ Peter Palfrader ]
+  * buildd.debian.org
+    - add python-nose and php5
+    - depend on edos-distcheck instead of edos-debcheck
+  * bugs.debian.org: libdbd-pg-perl python-pyinotify python-yaml
+
+  [ Andreas Barth ]
+  * buildd.debian.org
+    - add libfile-spec-perl
+
+ -- Andreas Barth <aba@no.so.argh.org>  Wed, 07 Apr 2010 07:30:37 +0000
+
+debian.org (33) stable; urgency=low
 
   [ Joerg Jaspert]
   * Update the planet.debian.org metapackage, adding timeout,
@@ -19,7 +33,14 @@ debian.org (XX) XXable; urgency=low
   * portforwarder-ssh-wrap: Do not linger around on half-closed TCP
     sessions, i.e. use -q 600 as an option to nc(1).
 
- -- Peter Palfrader <weasel@debian.org>  Wed, 03 Mar 2010 23:30:06 +0100
+  [ Martin Zobel-Helas ]
+  * Add the manpages.debian.org metapackage
+
+  [ Philipp Kern ]
+  * buildd.debian.org: replace libmldbm-perl with libdbi-perl and
+    libdbd-pg-perl
+
+ -- Peter Palfrader <weasel@debian.org>  Mon, 22 Mar 2010 19:31:29 +0100
 
 debian.org (32) stable; urgency=low
 
index 746ba20ddb2d9844cd732f31b398f78dc721c3f2..86f6ecec14c2fae41a774d05e32ebf17bd08a2d0 100644 (file)
@@ -102,7 +102,10 @@ Depends: graphviz,
        libtext-template-perl,
        liburi-perl,
        libhtml-tree-perl,
-       libsoap-lite-perl
+       libsoap-lite-perl,
+       libdbd-pg-perl,
+       python-pyinotify,
+       python-yaml
 Description: metapackages for bugs.debian.org dependencies
  This package depends on everything that is needed for a bugs.debian.org
  mirror or (in the future) bugs-master.
@@ -210,14 +213,16 @@ Description: metapackages for www-master.debian.org dependencies
 
 Package: debian.org-buildd.debian.org
 Architecture: all
-Depends: edos-debcheck,
+Depends: edos-distcheck,
        db4.7-util,
        ghostscript,
        libcompress-bzip2-perl,
        libcompress-zlib-perl,
        libhash-merge-perl,
        libmailtools-perl,
-       libmldbm-perl,
+       libdbi-perl,
+       libdbd-pg-perl,
+       libfile-spec-perl,
        libstring-escape-perl,
        libstring-format-perl,
        libyaml-tiny-perl,
@@ -227,11 +232,13 @@ Depends: edos-debcheck,
        python-coverage-test-runner,
        python-debian,
        python-psycopg2,
+       python-nose,
        python-sqlalchemy (>= 0.5), python-sqlalchemy (<< 0.6)
        quinn-diff,
        r-base-core,
        r-cran-lattice,
-       postgresql-8.4, postgresql-8.4-debversion
+       postgresql-8.4, postgresql-8.4-debversion,
+       php5
 Description: metapackages for buildd.debian.org dependencies
  This package depends on everything that is needed for a buildd.debian.org.
 
@@ -321,3 +328,10 @@ Depends: bittornado,
        fakeroot
 Description: metapackage for cdbuilder
  This package depends on all the packages that are needed for a cdbuilder setup.
+
+Package: debian.org-manpages.debian.org
+Architecture: all
+Depends: locales-all,
+       gs-common
+Description: metapackage for manpages
+ This package depends on all the packages that are needed for manpages.d.o setup.